### Method

# GdkWayland WaylandDisplayquery_registry

#### Declaration [src]

    gboolean
    gdk_wayland_display_query_registry (
      GdkDisplay* display,
      const char* global
    )

#### Description [src]

Returns `TRUE` if the interface was found in the display `wl_registry.global` handler.

#### Parameters

`global`

  Type: `const char*`

  Global interface to query in the registry.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the global is offered by the compositor.